Bug 179957 - databases/skytools: does not build with pgsql 92
Summary: databases/skytools: does not build with pgsql 92
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-25 12:20 UTC by John Marino
Modified: 2013-07-22 07:59 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-06-25 12:20:00 UTC
This port won't build with the non-default pgsql 92 client.

logtriga.c: In function 'process_insert':
logtriga.c:138: error: dereferencing pointer to incomplete type
logtriga.c:156: error: dereferencing pointer to incomplete type
logtriga.c:191: error: dereferencing pointer to incomplete type
logtriga.c: In function 'process_update':
logtriga.c:229: error: dereferencing pointer to incomplete type
logtriga.c:252: error: dereferencing pointer to incomplete type
logtriga.c:348: error: dereferencing pointer to incomplete type
logtriga.c:365: error: dereferencing pointer to incomplete type
logtriga.c: In function 'process_delete':
logtriga.c:394: error: dereferencing pointer to incomplete type
logtriga.c:408: error: dereferencing pointer to incomplete type
logtriga.c: In function 'logtriga':
logtriga.c:450: error: dereferencing pointer to incomplete type
logtriga.c:482: error: dereferencing pointer to incomplete type
gmake[2]: *** [logtriga.o] Error 1

Fix: 

skytools probably isn't available from skype anymore, so there probably isn't a later version.

Suggest adding makefile directives to indicate that pgsql 92 not supported, e.g. WANT_PGSQL_VERSION= 91-
How-To-Repeat: Set the default pgsql version to 92, then rebuild everything including this port
Comment 1 Edwin Groothuis freebsd_committer 2013-06-25 12:20:08 UTC
Maintainer of databases/skytools,

Please note that PR ports/179957 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179957

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-25 12:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2013-07-21 20:48:45 UTC
State Changed
From-To: feedback->open

maintainer timeout, > 4 weeks
Comment 4 John Marino freebsd_committer 2013-07-21 20:49:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-07-22 07:48:40 UTC
Author: marino
Date: Mon Jul 22 06:48:27 2013
New Revision: 323429
URL: http://svnweb.freebsd.org/changeset/ports/323429

Log:
  databases/skytools: Restrict to postgresql 9.1 and earlier
  
  This version of skytools fails to build with postgresql 9.2
  This port had complex logic to change pkg-plist with pgsql > 8.2, but
  now all versions meet this criteria.  Remove the logic and trim the
  pkg-plist as well as the header.  Also convert USE_GMAKE to USES+=gmake.
  
  PR:		ports/179957
  submitted by:	marino
  Approved by:	bapt (mentor), maintainer timeout

Modified:
  head/databases/skytools/Makefile
  head/databases/skytools/pkg-plist

Modified: head/databases/skytools/Makefile
==============================================================================
--- head/databases/skytools/Makefile	Mon Jul 22 06:47:06 2013	(r323428)
+++ head/databases/skytools/Makefile	Mon Jul 22 06:48:27 2013	(r323429)
@@ -1,9 +1,5 @@
-# Ports collection makefile for:  skytools
-# Date created:    27 July 2007
-# Whom:            Sergey Skvortsov <skv@protey.ru>
-#
+# Created by: Sergey Skvortsov <skv@protey.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	skytools
 PORTVERSION=	2.1.12
@@ -15,9 +11,10 @@ MAINTAINER=	kheechin@gmail.com
 COMMENT=	PostgreSQL tools from Skype: walshipping, queueing, replication
 
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
+USES=		gmake
 
 USE_PGSQL=	yes
+WANT_PGSQL_VER=	91-
 USE_PYTHON=	2.5+
 INSTALLS_EGGINFO=	yes
 
@@ -30,26 +27,7 @@ CONFIGURE_ARGS=	--with-python=${PYTHON_C
 		--docdir=${EXAMPLESDIR} \
 		--with-pgconfig=${LOCALBASE}/bin/pg_config
 
-.include <bsd.port.pre.mk>
-
-# Setting/finding PostgreSQL version we want.
-.if exists(${LOCALBASE}/bin/postmaster)
-PGSQL_VER!=	${LOCALBASE}/bin/postmaster -V | \
-		${SED} -En 's/.*PostgreSQL[^0-9]*([0-9]+)\.([0-9]+)\..*/\1\2/p'
-.elif exists(${LOCALBASE}/bin/pg_config)
-PGSQL_VER!=	${LOCALBASE}/bin/pg_config --version | \
-		${SED} -En 's/PostgreSQL[^0-9]*([0-9]*)\.([0-9]+)\..*/\1\2/p'
-.else
-PGSQL_VER=	${DEFAULT_PGSQL_VER}
-.endif
-
-.if ${PGSQL_VER} > 82
-PLIST_SUB+=	TXID="@comment "
-.else
-PLIST_SUB+=	TXID=""
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e 's=share/doc=share/examples=' ${WRKSRC}/setup.py
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/databases/skytools/pkg-plist
==============================================================================
--- head/databases/skytools/pkg-plist	Mon Jul 22 06:47:06 2013	(r323428)
+++ head/databases/skytools/pkg-plist	Mon Jul 22 06:48:27 2013	(r323429)
@@ -81,11 +81,9 @@ bin/walmgr.py
 lib/postgresql/logtriga.so
 lib/postgresql/pgq_lowlevel.so
 lib/postgresql/pgq_triggers.so
-%%TXID%%lib/postgresql/txid.so
 share/doc/postgresql/contrib/README.londiste
 share/doc/postgresql/contrib/README.pgq
 share/doc/postgresql/contrib/README.pgq_ext
-%%TXID%%share/doc/postgresql/contrib/README.txid
 share/postgresql/contrib/logtriga.sql
 share/postgresql/contrib/londiste.sql
 share/postgresql/contrib/londiste.upgrade.sql
@@ -95,8 +93,6 @@ share/postgresql/contrib/pgq_ext.sql
 share/postgresql/contrib/pgq_lowlevel.sql
 share/postgresql/contrib/pgq_triggers.sql
 share/postgresql/contrib/uninstall_pgq.sql
-%%TXID%%share/postgresql/contrib/uninstall_txid.sql
-%%TXID%%share/postgresql/contrib/txid.sql
 @dirrmtry lib/postgresql
 @dirrmtry share/doc/postgresql/contrib
 @dirrmtry share/doc/postgresql
@@ -106,7 +102,6 @@ share/postgresql/contrib/uninstall_pgq.s
 %%DATADIR%%/londiste.sql
 %%DATADIR%%/pgq.sql
 %%DATADIR%%/pgq_ext.sql
-%%TXID%%%%DATADIR%%/txid.sql
 %%DATADIR%%/upgrade/final/v2.1.5_londiste.sql
 %%DATADIR%%/upgrade/final/v2.1.5_pgq_core.sql
 %%DATADIR%%/upgrade/final/v2.1.5_pgq_ext.sql
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 John Marino freebsd_committer 2013-07-22 07:59:21 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!